# PieceDropper.PieceDropInfo (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.puzzle.drop.util
Class PieceDropper.PieceDropInfo

    java.lang.Object
      com.threerings.puzzle.drop.util.PieceDropper.PieceDropInfo

Enclosing class:
  PieceDropper

    public static class PieceDropper.PieceDropInfo

extends Object

A class to hold information detailing the pieces to be dropped in a particular column.

Field Summary
`int` `col` The column number.
`int` `dist` The distance to drop the pieces.
`int[]` `pieces` The pieces to be dropped.
`int` `row` The starting row of the bottom piece being dropped.

Constructor Summary
`PieceDropper.PieceDropInfo(int col, int row, int dist)` Constructs a piece drop info object.

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### row

    public int row

  The starting row of the bottom piece being dropped.

### col

    public int col

  The column number.

### dist

    public int dist

  The distance to drop the pieces.

### pieces

    public int[] pieces

  The pieces to be dropped.

Constructor Detail

### PieceDropper.PieceDropInfo

    public PieceDropper.PieceDropInfo(int col,
                                      int row,
                                      int dist)

  Constructs a piece drop info object.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2011. All Rights Reserved.